summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/rosdistro')
-rw-r--r--dev-python/rosdistro/Manifest1
-rw-r--r--dev-python/rosdistro/rosdistro-0.6.9.ebuild46
-rw-r--r--dev-python/rosdistro/rosdistro-9999.ebuild7
3 files changed, 52 insertions, 2 deletions
diff --git a/dev-python/rosdistro/Manifest b/dev-python/rosdistro/Manifest
index 7e4d39a506d..31836733702 100644
--- a/dev-python/rosdistro/Manifest
+++ b/dev-python/rosdistro/Manifest
@@ -1 +1,2 @@
DIST rosdistro-0.6.8.tar.gz 59771 BLAKE2B 5610ef992824104570abc8c5cc0224838ee1442d942f8f317b20b300831f7536649b47360e7f542e484d75eac29af71ce9e82fadf91b540f4671478039776921 SHA512 57db65b7cba29e41c14ea4e45f951a410e6152ce4247afd1b15df51cd79e50bdbc95151eac02acc666f8bc3c2658695600ad1b4fc0f4152d71901685c9e8f558
+DIST rosdistro-0.6.9.tar.gz 59831 BLAKE2B 4a576efce73cceb68496f2ba7a52e9e09c92aaf0c54ed9693e067e1ea7dcc0b53362a42524dad92b1e68acb22b88c7a92427b8962dbdec781cac5972e251ee9c SHA512 351653c95803dce034074a357f4ca878688ca3e640983cb380840b1bb898f1b8e827210620ba31261fa76edb306908e489e0b8504a6fd8c651c83fbfb8774bd2
diff --git a/dev-python/rosdistro/rosdistro-0.6.9.ebuild b/dev-python/rosdistro/rosdistro-0.6.9.ebuild
new file mode 100644
index 00000000000..c8c67d166d0
--- /dev/null
+++ b/dev-python/rosdistro/rosdistro-0.6.9.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/rosdistro"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Tools to work with catkinized rosdistro files"
+HOMEPAGE="http://wiki.ros.org/rosdistro"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/ros-infrastructure/rosdistro/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/catkin_pkg[${PYTHON_USEDEP}]
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests --with-xunit test || die
+}
diff --git a/dev-python/rosdistro/rosdistro-9999.ebuild b/dev-python/rosdistro/rosdistro-9999.ebuild
index 8780e241c60..c8c67d166d0 100644
--- a/dev-python/rosdistro/rosdistro-9999.ebuild
+++ b/dev-python/rosdistro/rosdistro-9999.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
SCM=""
@@ -31,9 +31,12 @@ RDEPEND="
dev-python/rospkg[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
DEPEND="${RDEPEND}
test? (
- dev-python/nose[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
)
"